﻿/*
 * This is part of PosXp
 * Copyright (C) 2006-2013  Alberto Rivelli
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. 
 */

using System;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace POS.CashPlugin
{

    partial class SpeedWindow
    {

        internal class PanelNoScrollOnFocus : Panel
        {

            protected override Point ScrollToControl(Control activeControl)
            {
                return base.DisplayRectangle.Location;
            }

        }

        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;
        private System.ComponentModel.ComponentResourceManager resources = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {

            resources = new System.ComponentModel.ComponentResourceManager(typeof(SpeedWindow));
            this.txtSpeedName = new TextBox();
            this.lblSpeedName = new Label();
            this.btnProdNext = new Button();
            this.btnProdBack = new Button();
            this.btnProdCancel = new Button();
            this.TabSpeed = new TabControl();
            this.TabSpeedPag1 = new TabPage();
            this.TabSpeedPag2 = new TabPage();
            this.TabSpeedPag3 = new TabPage();
            this.lblColorPreview = new Label();
            this.pnldgwColors = new PanelNoScrollOnFocus();
            this.pnlFakeColors = new Panel();
            this.dgwColors = new DataGridView();
            this.pnldgwIcons = new PanelNoScrollOnFocus();
            this.pnlFakeIcons = new Panel();
            this.dgwIcons = new DataGridView();
            this.btnColor = new Button();
            this.lblSpeedImage = new Label();
            this.lblSpeedTrans = new Label();
            this.pnlSpeed = new PanelNoScrollOnFocus();
            this.pnlFake = new Panel();
            this.DataGridSpeed = new DataGridView();
            this.ColQty = new DataGridViewTextBoxColumn();
            this.ColTipo = new DataGridViewComboBoxColumn();
            this.ColProdotto = new DataGridViewComboBoxColumn();
            this.ColPrice = new DataGridViewTextBoxColumn();
            this.ColDel = new DataGridViewButtonColumn();

            this.TabSpeed.SuspendLayout();
            this.TabSpeedPag1.SuspendLayout();
            this.TabSpeedPag2.SuspendLayout();
            this.TabSpeedPag3.SuspendLayout();
            this.SuspendLayout();

            //
            //btnProdNext
            //
            this.btnProdNext.BackColor = SystemColors.Control;
            this.btnProdNext.Font = new Font("Microsoft Sans Serif", 16.0F, FontStyle.Bold, GraphicsUnit.Pixel, ((Byte)(0)));
            this.btnProdNext.Location = new Point(555, 318);
            this.btnProdNext.Name = "btnProdNext";
            this.btnProdNext.Size = new Size(118, 40);
            this.btnProdNext.TabStop = false;
            this.btnProdNext.Text = resources.GetString("btnProdNext.Text");
            this.btnProdNext.UseVisualStyleBackColor = false;
            this.btnProdNext.Click += new EventHandler(btnProdNext_Click);
            //
            //btnProdBack
            //
            this.btnProdBack.BackColor = SystemColors.Control;
            this.btnProdBack.Font = new Font("Microsoft Sans Serif", 16.0F, FontStyle.Bold, GraphicsUnit.Pixel, ((Byte)(0)));
            this.btnProdBack.Location = new Point(402, 318);
            this.btnProdBack.Name = "btnProdBack";
            this.btnProdBack.Size = new Size(118, 40);
            this.btnProdBack.TabStop = false;
            this.btnProdBack.Text = resources.GetString("btnProdBack.Text");
            this.btnProdBack.UseVisualStyleBackColor = false;
            this.btnProdBack.Click += new EventHandler(btnProdBack_Click);
            //
            //btnProdCancel
            //
            this.btnProdCancel.BackColor = Color.IndianRed;
            this.btnProdCancel.DialogResult = DialogResult.Cancel;
            this.btnProdCancel.Font = new Font("Microsoft Sans Serif", 16.0F, FontStyle.Bold, GraphicsUnit.Pixel, ((Byte)(0)));
            this.btnProdCancel.Location = new Point(27, 318);
            this.btnProdCancel.Name = "btnProdCancel";
            this.btnProdCancel.Size = new Size(118, 40);
            this.btnProdCancel.TabStop = false;
            this.btnProdCancel.Text = resources.GetString("btnProdCancel.Text");
            this.btnProdCancel.UseVisualStyleBackColor = false;
            this.btnProdCancel.Click += new EventHandler(btnProdCancel_Click);
            //
            //TabSpeed
            //
            this.TabSpeed.Appearance = TabAppearance.FlatButtons;
            this.TabSpeed.Controls.Add(this.TabSpeedPag1);
            this.TabSpeed.Controls.Add(this.TabSpeedPag2);
            this.TabSpeed.Controls.Add(this.TabSpeedPag3);
            this.TabSpeed.Location = new Point(0, -24);
            this.TabSpeed.Multiline = true;
            this.TabSpeed.Name = "TabSpeed";
            this.TabSpeed.SelectedIndex = 0;
            this.TabSpeed.Size = new Size(700, 312);
            this.TabSpeed.TabStop = false;
            this.TabSpeed.SelectedIndexChanged += new EventHandler(TabSpeed_SelectedIndexChanged);
            //
            //TabSpeedPag1
            //
            this.TabSpeedPag1.Controls.Add(this.pnlFake);
            this.TabSpeedPag1.Controls.Add(this.lblSpeedTrans);
            this.TabSpeedPag1.Location = new Point(4, 25);
            this.TabSpeedPag1.Name = "TabSpeedPag1";
            this.TabSpeedPag1.Padding = new Padding(3);
            this.TabSpeedPag1.Size = new Size(700, 283);
            this.TabSpeedPag1.TabStop = false;
            this.TabSpeedPag1.Text = "Transazioni";
            this.TabSpeedPag1.UseVisualStyleBackColor = true;
            //
            //lblSpeedTrans
            //
            this.lblSpeedTrans.AutoSize = true;
            this.lblSpeedTrans.Font = new Font("Microsoft Sans Serif", 20.0F, FontStyle.Bold, GraphicsUnit.Pixel, ((Byte)(0)));
            this.lblSpeedTrans.Name = "lblSpeedTrans";
            this.lblSpeedTrans.TabStop = false;
            this.lblSpeedTrans.Text = resources.GetString("lblSpeedTrans.Text");
            this.lblSpeedTrans.TextAlign = ContentAlignment.MiddleCenter;
            this.lblSpeedTrans.Top = 30;
            this.lblSpeedTrans.Paint += new PaintEventHandler(All_Labels_Paint);
            //
            //pnlFake
            //
            this.pnlFake.AutoScroll = false;
            this.pnlFake.AutoScrollMargin = new Size(0, 0);
            this.pnlFake.BorderStyle = BorderStyle.FixedSingle;
            this.pnlFake.Controls.Add(pnlSpeed);
            this.pnlFake.Name = "pnlFake";
            this.pnlFake.Size = new Size(646, 212);
            this.pnlFake.Location = new Point(23, 70);
            //
            //pnlSpeed
            //
            this.pnlSpeed.AutoScroll = true;
            this.pnlSpeed.AutoScrollMargin = new Size(0, 0);
            this.pnlSpeed.BorderStyle = BorderStyle.None;
            this.pnlSpeed.Controls.Add(DataGridSpeed);
            this.pnlSpeed.Name = "pnlDisplay";
            this.pnlSpeed.Size = new Size(662, 210);
            this.pnlSpeed.Location = new Point(0, 0);
            //
            //DataGridSpeed
            //
            this.DataGridSpeed.AllowUserToAddRows = true;
            this.DataGridSpeed.AllowUserToResizeColumns = false;
            this.DataGridSpeed.AllowUserToResizeRows = false;
            this.DataGridSpeed.AllowUserToOrderColumns = false;
            this.DataGridSpeed.AutoGenerateColumns = false;
            this.DataGridSpeed.AutoSize = true;
            this.DataGridSpeed.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
            this.DataGridSpeed.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
            this.DataGridSpeed.BorderStyle = BorderStyle.None;
            this.DataGridSpeed.ColumnHeadersHeight = 30;
            this.DataGridSpeed.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
            this.DataGridSpeed.Columns.AddRange(new DataGridViewColumn[] { this.ColQty, this.ColTipo, this.ColProdotto, this.ColPrice, this.ColDel });
            ////////////////////////////////////////////////\
            //ColumnHeadersDefaultCellStyle
            ////////////////////////////////////////////////\
            this.DataGridSpeed.ColumnHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;
            this.DataGridSpeed.ColumnHeadersDefaultCellStyle.BackColor = SystemColors.Control;
            this.DataGridSpeed.ColumnHeadersDefaultCellStyle.Font = new Font("Microsoft Sans Serif", 18.0F, FontStyle.Bold, GraphicsUnit.Pixel, ((Byte)(0)));
            this.DataGridSpeed.ColumnHeadersDefaultCellStyle.ForeColor = SystemColors.WindowText;
            this.DataGridSpeed.ColumnHeadersDefaultCellStyle.SelectionBackColor = SystemColors.Highlight;
            this.DataGridSpeed.ColumnHeadersDefaultCellStyle.SelectionForeColor = SystemColors.HighlightText;
            this.DataGridSpeed.ColumnHeadersDefaultCellStyle.WrapMode = DataGridViewTriState.False;
            ////////////////////////////////////////////////\
            //End ColumnHeadersDefaultCellStyle
            ////////////////////////////////////////////////\
            ////////////////////////////////////////////////\
            //DefaultCellStyle
            ////////////////////////////////////////////////\
            this.DataGridSpeed.DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight;
            this.DataGridSpeed.DefaultCellStyle.BackColor = SystemColors.Window;
            this.DataGridSpeed.DefaultCellStyle.Font = new Font("Microsoft Sans Serif", 18.0F, FontStyle.Bold, GraphicsUnit.Pixel, ((Byte)(0)));
            this.DataGridSpeed.DefaultCellStyle.ForeColor = SystemColors.ControlText;
            this.DataGridSpeed.DefaultCellStyle.SelectionBackColor = SystemColors.Highlight;
            this.DataGridSpeed.DefaultCellStyle.SelectionForeColor = SystemColors.HighlightText;
            this.DataGridSpeed.DefaultCellStyle.WrapMode = DataGridViewTriState.False;
            ////////////////////////////////////////////////\
            //End DefaultCellStyle
            ////////////////////////////////////////////////\
            this.DataGridSpeed.EditMode = DataGridViewEditMode.EditProgrammatically;
            this.DataGridSpeed.EnableHeadersVisualStyles = false;
            this.DataGridSpeed.Location = new Point(0, 0);
            this.DataGridSpeed.MultiSelect = false;
            this.DataGridSpeed.Name = "DataGridSpeed";
            this.DataGridSpeed.RowHeadersVisible = false;
            this.DataGridSpeed.RowHeadersWidthSizeMode = DataGridViewRowHeadersWidthSizeMode.DisableResizing;
            this.DataGridSpeed.RowTemplate.Height = 30;
            this.DataGridSpeed.RowTemplate.Resizable = DataGridViewTriState.False;
            this.DataGridSpeed.ScrollBars = ScrollBars.None;
            this.DataGridSpeed.SelectionMode = DataGridViewSelectionMode.CellSelect;
            this.DataGridSpeed.MaximumSize = new Size(646, 0);
            this.DataGridSpeed.MinimumSize = new Size(646, 210);
            this.DataGridSpeed.TabStop = false;
            this.DataGridSpeed.CellFormatting += new DataGridViewCellFormattingEventHandler(DataGridSpeed_CellFormatting);
            this.DataGridSpeed.CellValueChanged += new DataGridViewCellEventHandler(DataGridSpeed_CellValueChanged);
            this.DataGridSpeed.Click += new EventHandler(DataGridSpeed_Click);
            this.DataGridSpeed.CurrentCellDirtyStateChanged += new EventHandler(DataGridSpeed_CurrentCellDirtyStateChanged);
            this.DataGridSpeed.DataError += new DataGridViewDataErrorEventHandler(DataGridSpeed_DataError);
            this.DataGridSpeed.DefaultValuesNeeded += new DataGridViewRowEventHandler(DataGridSpeed_DefaultValuesNeeded);
            this.DataGridSpeed.UserAddedRow += new DataGridViewRowEventHandler(DataGridSpeed_UserAddedRow);
            this.DataGridSpeed.MouseDown += new MouseEventHandler(DataGridSpeed_MouseDown);
            this.DataGridSpeed.MouseMove += new MouseEventHandler(DataGridSpeed_MouseMove);
            this.DataGridSpeed.MouseUp += new MouseEventHandler(DataGridSpeed_MouseUp);
            //
            //ColQty
            //
            this.ColQty.DataPropertyName = "Qta";
            this.ColQty.HeaderText = resources.GetString("ColQty.HeaderText");
            this.ColQty.Name = "ColQty";
            this.ColQty.Resizable = DataGridViewTriState.False;
            this.ColQty.Width = 50;
            this.ColQty.SortMode = DataGridViewColumnSortMode.NotSortable;
            //
            //ColTipo
            //
            this.ColTipo.DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleLeft;
            this.ColTipo.DataPropertyName = "Type";
            this.ColTipo.HeaderText = resources.GetString("ColTipo.HeaderText");
            this.ColTipo.Name = "ColTipo";
            this.ColTipo.Resizable = DataGridViewTriState.False;
            this.ColTipo.SortMode = DataGridViewColumnSortMode.NotSortable;
            this.ColTipo.Width = 90;
            //
            //ColProdotto
            //
            this.ColProdotto.DataPropertyName = "Prodotto";
            this.ColProdotto.DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleLeft;
            this.ColProdotto.DefaultCellStyle.Font = new Font("Microsoft Sans Serif", 18.0F, FontStyle.Bold, GraphicsUnit.Pixel, ((Byte)(0)));
            this.ColProdotto.DefaultCellStyle.NullValue = resources.GetString("ColProdotto.DefaultCellStyle.NullValue");
            this.ColProdotto.HeaderText = resources.GetString("ColProdotto.HeaderText");
            this.ColProdotto.Name = "ColProdotto";
            this.ColProdotto.Resizable = DataGridViewTriState.False;
            this.ColProdotto.Width = 350;
            this.ColProdotto.SortMode = DataGridViewColumnSortMode.NotSortable;
            //
            //ColPrice
            //
            this.ColPrice.DataPropertyName = "Prezzo";
            this.ColPrice.DefaultCellStyle.Format = "c";
            this.ColPrice.DefaultCellStyle.NullValue = 0;
            this.ColPrice.HeaderText = resources.GetString("ColPrice.HeaderText");
            this.ColPrice.Name = "ColPrice";
            this.ColPrice.Resizable = DataGridViewTriState.False;
            this.ColPrice.SortMode = DataGridViewColumnSortMode.NotSortable;
            this.ColPrice.Width = 100;
            //
            //ColDel
            //
            this.ColDel.DefaultCellStyle.BackColor = Color.IndianRed;
            this.ColDel.HeaderText = resources.GetString("ColDel.HeaderText");
            this.ColDel.Name = "ColDel";
            this.ColDel.Text = "X";
            this.ColDel.UseColumnTextForButtonValue = true;
            this.ColDel.Resizable = DataGridViewTriState.False;
            this.ColDel.SortMode = DataGridViewColumnSortMode.NotSortable;
            this.ColDel.Width = 53;
            //
            //TabSpeedPag2
            //
            this.TabSpeedPag2.BackColor = SystemColors.Control;
            this.TabSpeedPag2.Controls.Add(this.lblSpeedName);
            this.TabSpeedPag2.Controls.Add(this.txtSpeedName);
            this.TabSpeedPag2.Location = new Point(4, 25);
            this.TabSpeedPag2.Name = "TabSpeedPag2";
            this.TabSpeedPag2.Padding = new Padding(3);
            this.TabSpeedPag2.Size = new Size(700, 283);
            this.TabSpeedPag2.TabStop = false;
            this.TabSpeedPag2.Text = "Titolo";
            //
            //txtSpeedName
            //
            this.txtSpeedName.CharacterCasing = CharacterCasing.Upper;
            this.txtSpeedName.Font = new Font("Microsoft Sans Serif", 20.0F, FontStyle.Bold, GraphicsUnit.Pixel, ((Byte)(0)));
            this.txtSpeedName.Location = new Point(195, 157);
            this.txtSpeedName.Multiline = false;
            this.txtSpeedName.Name = "txtSpeedName";
            this.txtSpeedName.Size = new Size(320, 35);
            this.txtSpeedName.TabStop = false;
            this.txtSpeedName.WordWrap = false;
            this.txtSpeedName.GotFocus += new EventHandler(txtSpeedName_GotFocus);
            this.txtSpeedName.TextChanged += new EventHandler(txtSpeedName_TextChanged);
            //
            //lblSpeedName
            //
            this.lblSpeedName.AutoSize = true;
            this.lblSpeedName.Font = new Font("Microsoft Sans Serif", 20.0F, FontStyle.Bold, GraphicsUnit.Pixel, ((Byte)(0)));
            this.lblSpeedName.Name = "lblSpeedName";
            this.lblSpeedName.TabStop = false;
            this.lblSpeedName.Text = resources.GetString("lblSpeedName.Text");
            this.lblSpeedName.TextAlign = ContentAlignment.MiddleCenter;
            this.lblSpeedName.Top = 93;
            this.lblSpeedName.Paint += new PaintEventHandler(All_Labels_Paint);
            //
            //TabSpeedPag3
            //
            this.TabSpeedPag3.Controls.Add(this.lblSpeedImage);
            this.TabSpeedPag3.Controls.Add(this.lblColorPreview);
            this.TabSpeedPag3.Controls.Add(this.pnlFakeColors);
            this.TabSpeedPag3.Controls.Add(this.pnlFakeIcons);
            this.TabSpeedPag3.Controls.Add(this.btnColor);
            this.TabSpeedPag3.Location = new Point(4, 25);
            this.TabSpeedPag3.Name = "TabSpeedPag3";
            this.TabSpeedPag3.Padding = new Padding(3);
            this.TabSpeedPag3.Size = new Size(700, 283);
            this.TabSpeedPag3.TabStop = false;
            this.TabSpeedPag3.Text = "Immagine";
            this.TabSpeedPag3.UseVisualStyleBackColor = true;
            //
            //lblSpeedImage
            //
            this.lblSpeedImage.AutoSize = true;
            this.lblSpeedImage.Font = new Font("Microsoft Sans Serif", 20.0F, FontStyle.Bold, GraphicsUnit.Pixel, ((Byte)(0)));
            this.lblSpeedImage.Name = "lblSpeedImage";
            this.lblSpeedImage.TabStop = false;
            this.lblSpeedImage.Text = resources.GetString("lblSpeedImage.Text");
            this.lblSpeedImage.TextAlign = ContentAlignment.MiddleCenter;
            this.lblSpeedImage.Top = 30;
            this.lblSpeedImage.Paint += new PaintEventHandler(All_Labels_Paint);
            //
            //lblColorPreview
            //
            this.lblColorPreview.AutoSize = true;
            this.lblColorPreview.Font = new Font("Microsoft Sans Serif", 20.0F, FontStyle.Bold, GraphicsUnit.Pixel, ((Byte)(0)));
            this.lblColorPreview.Location = new Point(596, 120);
            this.lblColorPreview.Name = "lblColorPreview";
            this.lblColorPreview.TabStop = false;
            this.lblColorPreview.Text = resources.GetString("lblColorPreview.Text");
            //
            //btnColor
            //
            this.btnColor.AutoSize = false;
            this.btnColor.BackColor = Color.White;
            this.btnColor.Font = new Font("Microsoft Sans Serif", 11.0F, FontStyle.Bold, GraphicsUnit.Pixel, ((Byte)(0)));
            this.btnColor.ImageAlign = ContentAlignment.TopCenter;
            this.btnColor.Location = new Point(589, 150);
            this.btnColor.Name = "btnColor";
            this.btnColor.Size = new Size(100, 68);
            this.btnColor.TabStop = false;
            this.btnColor.TextAlign = ContentAlignment.BottomCenter;
            //
            //pnlFakeColors
            //
            this.pnlFakeColors.AutoScroll = false;
            this.pnlFakeColors.AutoScrollMargin = new Size(0, 0);
            this.pnlFakeColors.BorderStyle = BorderStyle.FixedSingle;
            this.pnlFakeColors.Controls.Add(dgwColors);
            this.pnlFakeColors.Name = "pnlFakeColors";
            this.pnlFakeColors.Size = new Size(284, 214);
            this.pnlFakeColors.Location = new Point(5, 70);
            //
            //pnldgwColors
            //
            //this.pnldgwColors.AutoScroll = true;
            //this.pnldgwColors.AutoScrollMargin = new Size(0, 0);
            //this.pnldgwColors.BorderStyle = BorderStyle.None;
            //this.pnldgwColors.Controls.Add(dgwColors);
            //this.pnldgwColors.Name = "pnldgwColors";
            //this.pnldgwColors.Size = new Size(316, 210); // 2 pixels wider for visual styles
            //this.pnldgwColors.Location = new Point(10, 70);
            //
            //dgwColors
            //
            this.dgwColors.AutoSize = true;
            this.dgwColors.AllowUserToAddRows = false;
            this.dgwColors.AllowUserToResizeColumns = false;
            this.dgwColors.AllowUserToResizeRows = false;
            this.dgwColors.AllowUserToOrderColumns = false;
            this.dgwColors.ColumnHeadersVisible = false;
            this.dgwColors.DefaultCellStyle.BackColor = Color.White;
            this.dgwColors.DefaultCellStyle.SelectionBackColor = Color.White;
            this.dgwColors.EnableHeadersVisualStyles = false;
            this.dgwColors.Location = new Point(0, 0);
            this.dgwColors.MultiSelect = false;
            this.dgwColors.Name = "dgwColors";
            this.dgwColors.ReadOnly = true;
            this.dgwColors.RowHeadersVisible = false;
            this.dgwColors.RowHeadersWidthSizeMode = DataGridViewRowHeadersWidthSizeMode.DisableResizing;
            this.dgwColors.RowTemplate.Height = 70;
            this.dgwColors.RowTemplate.Resizable = DataGridViewTriState.False;
            this.dgwColors.ScrollBars = ScrollBars.None;
            this.dgwColors.SelectionMode = DataGridViewSelectionMode.CellSelect;
            this.dgwColors.TabStop = false;
            this.dgwColors.CellFormatting += new DataGridViewCellFormattingEventHandler(dgwColors_CellFormatting);
            this.dgwColors.CellClick+=new DataGridViewCellEventHandler(dgwColors_CellClick);
            //
            //pnlFakeIcons
            //
            this.pnlFakeIcons.AutoScroll = false;
            this.pnlFakeIcons.AutoScrollMargin = new Size(0, 0);
            this.pnlFakeIcons.BorderStyle = BorderStyle.FixedSingle;
            this.pnlFakeIcons.Controls.Add(pnldgwIcons);
            this.pnlFakeIcons.Name = "pnlFakeIcons";
            this.pnlFakeIcons.Size = new Size(284, 214);
            this.pnlFakeIcons.Location = new Point(298, 70);
            //
            //pnldgwIcons
            //
            this.pnldgwIcons.AutoScroll = true;
            this.pnldgwIcons.AutoScrollMargin = new Size(0, 0);
            this.pnldgwIcons.BorderStyle = BorderStyle.None;
            this.pnldgwIcons.Controls.Add(dgwIcons);
            this.pnldgwIcons.Name = "pnldgwIcons";
            this.pnldgwIcons.Size = new Size(316, 212); // 2 pixels wider for visual styles
            this.pnldgwIcons.Location = new Point(0, 0);
            //
            //dgwIcons
            //
            this.dgwIcons.AutoSize = true;
            this.dgwIcons.AllowUserToAddRows = false;
            this.dgwIcons.AllowUserToResizeColumns = false;
            this.dgwIcons.AllowUserToResizeRows = false;
            this.dgwIcons.AllowUserToOrderColumns = false;
            this.dgwIcons.ColumnHeadersVisible = false;
            this.dgwIcons.DefaultCellStyle.BackColor = Color.White;
            this.dgwIcons.DefaultCellStyle.SelectionBackColor = Color.White;
            this.dgwIcons.EnableHeadersVisualStyles = false;
            this.dgwIcons.Location = new Point(0, 0);
            this.dgwIcons.MultiSelect = false;
            this.dgwIcons.Name = "dgwIcons";
            this.dgwIcons.ReadOnly = true;
            this.dgwIcons.RowHeadersVisible = false;
            this.dgwIcons.RowHeadersWidthSizeMode = DataGridViewRowHeadersWidthSizeMode.DisableResizing;
            this.dgwIcons.RowTemplate.Height = 70;
            this.dgwIcons.RowTemplate.Resizable = DataGridViewTriState.False;
            this.dgwIcons.ScrollBars = ScrollBars.None;
            this.dgwIcons.SelectionMode = DataGridViewSelectionMode.CellSelect;
            this.dgwIcons.TabStop = false;
            this.dgwIcons.CellFormatting += new DataGridViewCellFormattingEventHandler(dgwIcons_CellFormatting);
            this.dgwIcons.MouseDown += new MouseEventHandler(dgwIcons_MouseDown);
            this.dgwIcons.MouseMove += new MouseEventHandler(dgwIcons_MouseMove);
            this.dgwIcons.MouseUp += new MouseEventHandler(dgwIcons_MouseUp);
            //
            //Prodotto
            //
            this.AcceptButton = this.btnProdNext;
            this.AutoScaleDimensions = new SizeF(6.0F, 13.0F);
            this.AutoScaleMode = AutoScaleMode.Font;
            this.BackColor = SystemColors.Control;
            this.CancelButton = this.btnProdCancel;
            this.ClientSize = new Size(700, 376);
            this.ControlBox = false;
            this.Controls.Add(this.TabSpeed);
            this.Controls.Add(this.btnProdCancel);
            this.Controls.Add(this.btnProdBack);
            this.Controls.Add(this.btnProdNext);
            this.FormBorderStyle = FormBorderStyle.FixedToolWindow;
            this.Name = "Prodotto";
            this.Location = new Point(186, 70);
            this.StartPosition = FormStartPosition.Manual;
            this.TabSpeed.ResumeLayout(false);
            this.TabSpeedPag1.ResumeLayout(false);
            this.TabSpeedPag1.PerformLayout();
            this.TabSpeedPag2.ResumeLayout(false);
            this.TabSpeedPag2.PerformLayout();
            this.TabSpeedPag3.ResumeLayout(false);
            this.TabSpeedPag3.PerformLayout();
            this.ResumeLayout(false);
            this.Shown += new EventHandler(SpeedWindow_Shown);
            arr.Columns.AddRange(new DataColumn[] { new DataColumn("Qta", Type.GetType("System.Double")), new DataColumn("Type", Type.GetType("System.Int32")), new DataColumn("Prodotto", Type.GetType("System.Int32")), new DataColumn("Prezzo", Type.GetType("System.Double")) });
            
        }

        internal Button btnProdNext;
        internal Button btnProdBack;
        internal Button btnProdCancel;
        internal TabControl TabSpeed;
        internal TabPage TabSpeedPag1;
        internal TabPage TabSpeedPag2;
        internal TabPage TabSpeedPag3;
        internal TextBox txtSpeedName;
        internal Label lblSpeedName;
        internal Label lblSpeedImage;
        internal Label lblSpeedTrans;
        internal Label lblColorPreview;
        internal PanelNoScrollOnFocus pnldgwColors;
        internal Panel pnlFakeColors;
        internal DataGridView dgwColors;
        internal PanelNoScrollOnFocus pnldgwIcons;
        internal Panel pnlFakeIcons;
        internal DataGridView dgwIcons;
        internal Button btnColor;
        internal PanelNoScrollOnFocus pnlSpeed;
        internal Panel pnlFake;
        internal DataGridView DataGridSpeed;
        internal DataGridViewTextBoxColumn ColQty;
        internal DataGridViewComboBoxColumn ColTipo;
        internal DataGridViewComboBoxColumn ColProdotto;
        internal DataGridViewTextBoxColumn ColPrice;
        internal DataGridViewButtonColumn ColDel;

    }
}