﻿/*
 * This is part of PosXp
 * Copyright (C) 2006-2013  Alberto Rivelli
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. 
 */

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace POS.Framework
{
    public partial class PopBox : Form
    {

        public PopBox()
        {
            InitializeComponent();
        }

        public DialogResult ShowDialog(string text, Point loc)
        {
            this.BtnNo.Text = resources.GetString("BtnNo.Text");
            this.BtnNo.Location = new Point(135, 102);
            this.BtnYes.Visible = true;

            this.Location = loc;
            this.lblMsg.Text = text;
            this.ShowDialog();
            return this.DialogResult;

        }

        public DialogResult ShowDialog(string text, Point loc, MessageBoxButtons type)
        {

            if (type == MessageBoxButtons.OK)
            {
                this.BtnNo.Text = "OK";
                this.BtnNo.Location = new Point(85, 102);
                this.BtnYes.Visible = false;
            }
            else if (type == MessageBoxButtons.YesNo)
            {
                return this.ShowDialog(text, loc);
            }
            this.Location = loc;
            this.lblMsg.Text = text;
            this.ShowDialog();
            return this.DialogResult;

        }

        private void BtnYes_MouseClick(Object sender, System.Windows.Forms.MouseEventArgs e)
        {
            this.DialogResult = DialogResult.Yes;
            this.Hide();
        }

        private void BtnNo_MouseClick(Object sender, System.Windows.Forms.MouseEventArgs e){
            this.DialogResult = DialogResult.No;
            this.Hide();
        }

        
    }
}
