﻿/*
 * This is part of PosXp
 * Copyright (C) 2006-2013  Alberto Rivelli
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. 
 */

using System.Data;
#if CONFIG_NETWORK
using System.ServiceModel;

namespace POS.Interfaces {

    [ServiceContract()]
    public interface IFiscal {
#else

namespace POS.Interfaces {

    public interface IFiscal {
#endif

        /////////////////////////////////////////////////
        // Interface for fiscal plugin
        /////////////////////////////////////////////////
#if CONFIG_NETWORK
        [OperationContract()]
        DataSet GetTotals();
#else
        DataSet GetTotals();
#endif

        DataSet GetPayments();

        DataTable GetRepTotals();

        DataTable GetPidTotals();

        DataTable GetAliTotals();

    }
}
