﻿/*
 * This is part of PosXp
 * Copyright (C) 2006-2013  Alberto Rivelli
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. 
 */

using System.Data;
#if CONFIG_NETWORK
using System.ServiceModel;

namespace POS.Interfaces
{

    [ServiceContract()]
    public interface IProducts {
#else

namespace POS.Interfaces
{
    public interface IProducts
    {
#endif

        /////////////////////////////////////////////////
        //Functions used by product plugin to
        //manage products in the db
        //ISync may be should be merged here!!!!!!!!
        /////////////////////////////////////////////////

        DataTable GetProd(int id);

#if CONFIG_NETWORK
        [OperationContract()]
        DataTable GetProdEan(string ean);
#else
        DataTable GetProdEan(string ean);
#endif

        int SaveProd(bool isnew, int id, string name, string ean, double price, double qty, bool fiscal, int cat, double aliquota);

#if CONFIG_NETWORK
        [OperationContract()]
        DataSet GetProds(int page, int mode);
#else
        DataSet GetProds(int page, int mode);
#endif

#if CONFIG_NETWORK
        [OperationContract()]
        DataSet GetSpeed();
#else
        DataSet GetSpeed();
#endif

    }
}