﻿/*
 * This is part of PosXp
 * Copyright (C) 2006-2013  Alberto Rivelli
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. 
 */


#if CONFIG_NETWORK
using System.ServiceModel;
using Microsoft.Synchronization;
using Microsoft.Synchronization.Data;

namespace POS.Interfaces
{
    //
    //Merge with IProducts!!!!!!!!!!!!!!!!!!
    //
    [ServiceContract(SessionMode = SessionMode.Required),
    ServiceKnownType(typeof(SyncIdFormatGroup)),
    ServiceKnownType(typeof(DbSyncContext))]
    public interface ISync
    {

        [OperationContract(IsInitiating = true, IsTerminating = false)]
        void BeginSession(string scopeName);

        [OperationContract(IsInitiating = false, IsTerminating = false)]
        void GetKnowledge(uint batchSize, SyncKnowledge knowledge);  //ToDo: Unsigned Integers not supported

        [OperationContract(IsInitiating = false, IsTerminating = false)]
        ChangeBatch GetChanges(uint batchSize, SyncKnowledge destinationKnowledge, object changeData); //ToDo: Unsigned Integers not supported

        [OperationContract(IsInitiating = false, IsTerminating = false)]
        void ApplyChanges(ConflictResolutionPolicy resolutionPolicy, ChangeBatch sourceChanges, object changeData, SyncSessionStatistics sessionStatistics);

        [OperationContract(IsInitiating = false, IsTerminating = true)]
        void EndSession();

    }
}
#endif